package com.hw.dms.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.TreeEntity;

/**
 * 设备BOM信息对象 dms_base_device_bom
 *
 * @author xins
 * @date 2023-12-28
 */
public class DmsBaseDeviceBom extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long deviceBomId;

    /** 设备ID，关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID，关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** bom数量 */
    @Excel(name = "bom数量")
    private BigDecimal bomAmount;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    private String deviceName;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setDeviceBomId(Long deviceBomId)
    {
        this.deviceBomId = deviceBomId;
    }

    public Long getDeviceBomId()
    {
        return deviceBomId;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setBomAmount(BigDecimal bomAmount)
    {
        this.bomAmount = bomAmount;
    }

    public BigDecimal getBomAmount()
    {
        return bomAmount;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceBomId", getDeviceBomId())
            .append("parentId", getParentId())
            .append("deviceId", getDeviceId())
            .append("bomAmount", getBomAmount())
            .append("ancestors", getAncestors())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
